Skip to main content
GET
cURL
List saved versions by Deployment key or ID. Each version includes its variant ID and saved configuration. Results include drafts and are ordered newest first. Filter with variant_id to retrieve one variant’s history. Pass a returned version’s _id as starting_after for the next page or ending_before for the previous page.
See Deployment versioning for saving and restoring versions in the UI.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

keyOrID
string
required

Deployment key or ID.

Minimum string length: 1

Query Parameters

limit
integer
default:10

A limit on the number of objects to be returned. Limit can range between 1 and 50, and the default is 10

Required range: 1 <= x <= 50
starting_after
string<ulid>

Version _id after which to fetch the next page.

Pattern: ^[0-9A-HJKMNP-TV-Z]{26}$
ending_before
string<ulid>

Version _id before which to fetch the previous page.

Pattern: ^[0-9A-HJKMNP-TV-Z]{26}$
variant_id
string<uuid>

Return versions of this variant only.

Response

Deployment versions retrieved.

object
enum<string>
required
Available options:
list
data
object[]
required
has_more
boolean
required